CMCICLIENTFT.ENUMINSTANCES(3)

NAME
CMCIClientFT.enumInstances() - Enumerate instances of a class

SYNOPSIS
#include <cmci.h>

CMPIEnumeration*
CMCIClientFT.enumInstances(CMCIClient*cl,
CMPIObjectPath*op,
CMPIFlagsflags,
char**properties,
CMPIStatus*rc);

DESCRIPTION
Enumerate Instances of the class (and subclasses) defined by op. The instance structure and inheritance scope can be controled using the flags argument.

Arguments are the client object pointer cl, an ObjectPath object pointer op with the reference that contains namespace and classname components, flags that affect the content of the returned class instance structures, a properties array, and rc which returns the operation status (suppressed when NULL).

The flags argument is a bit mask that can contains the following flags - CMPI_FLAG_LocalOnly, CMPI_FLAG_DeepInheritance, CMPI_FLAG_IncludeQualifiers and CMPI_FLAG_IncludeClassOrigin.

RETURN VALUE
When successful the CMCIClientFT.enumInstances() function returns a pointer to a CMPIEnumeration object that contains the class instances found for the class and sets a successful operation status code in rc. When unsuccessful it returns a NULL pointer and sets the operation status error code and corresponding error string in rc.

ERRORS

EXAMPLES
   CMCIClient *cc;
   CMPIObjectPath * objectpath;
   CMPIInstance * instance;
   CMPIEnumeration * enumeration;
   CMPIStatus status;

   /* Setup a conncetion to the CIMOM */
   cc = cmciConnect("localhost", NULL, NULL, NULL, NULL, NULL);

   objectpath = newCMPIObjectPath("root/cimv2", NULL, NULL);
   enumeration = cc->ft->enumInstances(cc, objectpath, 0, NULL, &status);

   if (!status.rc) {
    fprintf(stderr, "operation error code %d description %s,
            status.rc, status.msg->hdl);
    abort();
   }

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIEnumeration(3), CMPIObjectPath(3), CMPIFlags(3), CMPIStatus(3)